Skip to main content
GET
/
v1
/
campaigns
Get Campaigns
curl --request GET \
  --url https://app-api.walead.ai/api/v1/campaigns \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app-api.walead.ai/api/v1/campaigns"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app-api.walead.ai/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "progress": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "settings": {},
    "coreVariables": {},
    "customVariables": {},
    "linkedinAccounts": [
      "<string>"
    ],
    "analytics": {
      "acceptanceRate": 123,
      "responseRate": 123,
      "totalLeads": 123
    }
  }
]
{
"statusCode": 123,
"message": "<string>"
}

Overview

Returns all campaigns from your workspace. You can filter by status and search by name.

Authentication

All requests require an API key passed in the x-api-key header. You can generate your API key from the WaLead dashboard.

Example Request

curl -X GET https://app-api.walead.ai/api/v1/campaigns \
  -H "x-api-key: YOUR_API_KEY_HERE" \
  -H "Content-Type: application/json"

Authorizations

x-api-key
string
header
required

API key for authentication. Generate from your WaLead dashboard.

Query Parameters

status
enum<string>

Filter campaigns by status

Available options:
active,
paused,
completed,
error,
draft

Search campaigns by name

Response

Campaigns retrieved successfully

id
string

Unique campaign identifier

name
string

Campaign name

status
enum<string>

Campaign status

Available options:
active,
paused,
completed,
error,
draft
progress
number

Campaign progress percentage (0-100)

createdAt
string<date-time>

ISO 8601 timestamp of creation

settings
object

Campaign configuration settings

coreVariables
object

Core variables enabled for this campaign

customVariables
object

Custom variables defined for this campaign

linkedinAccounts
string[]

Array of LinkedIn account IDs associated with the campaign

analytics
object